Welcome to the Question2Answer Q&A. There's also a demo if you just want to try it out.
+3 votes
1.1k views
in Plugins by
Please help, I can't install this plugin to CKEditor. 
I have done what you said, and iframe work. But plugin not.
 
 
And I have installed your CKEditor 4 http://www.question2answer.org/qa/26643
I'm very very need to install oembed into CKEditor 4 
 
in config.js
 
 
/**
 * @license Copyright (c) 2003-2013, CKSource - Frederico Knabben. All rights reserved.
 * For licensing, see LICENSE.html or http://ckeditor.com/license
 */
 
CKEDITOR.editorConfig = function( config ) {
// Define changes to default configuration here. For example:
// config.language = 'fr';
// config.uiColor = '#AADC6E';
 
};
 
config.extraPlugins = 'oembed';
config.allowedContent = true;
config.oembed_WrapperClass = 'embededContent';
 
 
Is't correct?
Q2A version: 1.6
related to an answer for: how add oembed plugin to ckeditor

1 Answer

+1 vote
by

It's work!!! In real needs 2 things

1. correct config.js code should be like this:

 

CKEDITOR.editorConfig = function( config ) {
// Define changes to default configuration here. For example:
// config.language = 'fr';
// config.uiColor = '#AADC6E';
config.extraPlugins = 'oembed';
config.allowedContent = true;
config.oembed_WrapperClass = 'embededContent';
};
 
2.We need time to refresh server or browsers, and it's work!
by
Thank you for your report. CKEditor4 can change editor configuration in admin panel. My admin setting is below. Please refer to it.

<< Toolbar bottons >>:
['Undo','Redo'],
['Bold','Italic','Underline','Strike'],
['Font','FontSize'],
['TextColor','BGColor'],
['Link','Unlink'],
'/',
['JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock'],
['NumberedList','BulletedList','-','Outdent','Indent','Blockquote'],
['Image','oembed','Flash','Table','HorizontalRule','Smiley','SpecialChar'],
['RemoveFormat', 'Maximize']

<< Other configration >>:
toolbarCanCollapse:false,
removePlugins:'',
resize_enabled:true,
autogrow:false,
entities:false
...